#Author: Linus Svenberg

#The following packages are needed for the script to run

library(ggplot2)
library(tidyverse)
library(ggpubr)
library(ggfortify)
library(multcompView)
#setwd("~/
#remove the hashtag and specify the location of datafiles in the setwd-commando so that the code may run
dataset = read_delim("ANOVA_tbl3.csv",
                     delim=";",
                     col_names=TRUE,
                     trim_ws=TRUE)


#-----------------------------------------------------1-way ANOVA for C.dactylon------------------------------------------------------

ap_ber=dataset[1:8,]
ap_ber=ap_ber%>%
  select(-compound,-plant)

bp_ber=dataset[9:16,]
bp_ber=bp_ber%>%
  select(-compound,-plant)

o_ber=dataset[17:24,]
o_ber=o_ber%>%
  select(-compound,-plant)

d_ber=dataset[25:32,]
d_ber=d_ber%>%
  select(-compound,-plant)

l_ber=dataset[33:40,]
l_ber=l_ber%>%
  select(-compound,-plant)


aov_ap_ber=aov(peak_area~part, data=ap_ber)
TukeyHSD(aov_ap_ber, conf.level = 0.95)
aov_bp_ber=(aov(peak_area~part, data=bp_ber))
TukeyHSD(aov_bp_ber, conf.level = 0.95)
aov_o_ber=(aov(peak_area~part, data=o_ber))
TukeyHSD(aov_o_ber, conf.level = 0.95)
aov_d_ber=(aov(peak_area~part, data=d_ber))
TukeyHSD(aov_d_ber, conf.level = 0.95)
aov_l_ber=(aov(peak_area~part, data=l_ber))
TukeyHSD(aov_l_ber, conf.level = 0.95)


#-----------------------------------------------------1-way ANOVA for C.exaltatus------------------------------------------------------


bp_ex=dataset[41:48,]
bp_ex=bp_ex%>%
  select(-compound,-plant)

c_ex=dataset[49:56,]
c_ex=c_ex%>%
  select(-compound,-plant)

bs_ex=dataset[57:64,]
bs_ex=bs_ex%>%
  select(-compound,-plant)

aov_bp_ex=aov(peak_area~part, data=bp_ex)
TukeyHSD(aov_bp_ex, conf.level = 0.95)
aov_c_ex=(aov(peak_area~part, data=c_ex))
TukeyHSD(aov_c_ex, conf.level = 0.95)
aov_bs_ex=(aov(peak_area~part, data=bs_ex))
TukeyHSD(aov_bs_ex, conf.level = 0.95)

#-----------------------------------------------------1-way ANOVA for P. repens------------------------------------------------------

bp_tor=dataset[65:72,]
bp_tor=bp_tor%>%
  select(-compound,-plant)

o_tor=dataset[73:80,]
o_tor=o_tor%>%
  select(-compound,-plant)

aov_bp_tor=aov(peak_area~part, data=bp_tor)
TukeyHSD(aov_bp_tor, conf.level = 0.95)
aov_o_tor=(aov(peak_area~part, data=o_tor))
TukeyHSD(aov_o_tor, conf.level = 0.95)